export PATH=$PATH:$PWD/bin
export GOBIN=$PWD/bin
export GO111MODULES=on

go get -u github.com/golang/protobuf/protoc-gen-go@v1.3.3

export SNAKE_RPC_PATH=$PWD/snakesimulator
mkdir -p $SNAKE_RPC_PATH
rm -f $SNAKE_RPC_PATH/*.pb.go
protoc -I$SNAKE_RPC_PATH --go_out=plugins=grpc:$SNAKE_RPC_PATH $SNAKE_RPC_PATH/snakesimulator.proto

go build -o $GOBIN/snakesimulator
